import { Component } from '@angular/core';
import { ActionSheetController } from '@ionic/angular';
import { NavController } from '@ionic/angular';

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss']
})
export class Tab1Page {

  constructor(
    public actionSheetController: ActionSheetController,
    private navCtrl: NavController
  ) { }

  
  viewComments() {
    // 导航到评论页面
    this.navCtrl.navigateForward('/comments');
  }


  async openShareSheet() {
    const actionSheet = await this.actionSheetController.create({
      header: '分享到',
      buttons: [{
        text: '微信',
        icon: 'logo-wechat',
        handler: () => {
          console.log('分享到微信');
        }
      }, {
        text: '微博',
        icon: 'custom-icon-weibo',
        handler: () => {
          console.log('分享到微博');
        }
      }, {
        text: 'QQ',
        icon: 'custom-icon-qq',
        handler: () => {
          console.log('分享到QQ');
        }
      },{
        text: '取消',
        icon: 'close',
        role: 'cancel',
        handler: () => {
          console.log('取消分享');
        }
      }]
    });
    await actionSheet.present();
  }

  isLiked: boolean = false;
  likeCount: number = 0;

  likeComment() {
    if (!this.isLiked) {
      this.likeCount++;
      this.isLiked = true;
    } else {
      this.likeCount--;
      this.isLiked = false;
    }
  }

}
